export interface ILeftMenuModuleOptions {
    /**
     * Selector to toggle and untoggle the menu
     */
    toggleMenuSelector: string;
    /**
     * Indicates if the state should be persisted
     */
    persistState: boolean;
    /**
     * Days the state is saved
     */
    persistStateForDays?: number;
}
export default class LeftMenuModule {
    private options;
    private $toggleMenuButton;
    private menuHiddenClass;
    private menuHiddenCookieName;
    private menuHiddenManuallyTriggeredCookieName;
    constructor(options: ILeftMenuModuleOptions);
    isSmallScreen(): boolean;
    isMenuVisible(): boolean;
    showMenu(show: boolean): void;
    didManuallyToggleMenu(): boolean;
    private initialiseLeftMenu;
}
